<?php
namespace App\Danoral\Bancos;

class GenTXT
{
    public function __construct(){
        date_default_timezone_set('America/Caracas');
    }



    public function getFile() {

        $contenido = "Este es el contenido del archivo TXT.";

        // 1. Crea la respuesta
        $response = response()
            ->setContent($contenido)
            ->header('Content-Type', 'text/plain')
            ->header('Content-Disposition', 'attachment; filename="mi_archivo.txt"');

        // 2. Retorna la respuesta
        return $response;
    }

}